Loading...
Searching...
No Matches
Catch::Detail::EnumInfo Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Detail::EnumInfo:
[legend]

## Public Member Functions

| ~EnumInfo ()
StringRef | lookup (int value) const

## Public Attributes

StringRef | m_name
std::vector< std::pair< int, StringRef > > | m_values

## Constructor & Destructor Documentation

## ~EnumInfo()

Catch::Detail::EnumInfo::~EnumInfo | ( |  | ) |

default

Here is the call graph for this function:

## Member Function Documentation

## lookup()

StringRef Catch::Detail::EnumInfo::lookup | ( | int | value | ) | const

Here is the caller graph for this function:

## Member Data Documentation

## m_name

StringRef Catch::Detail::EnumInfo::m_name

## m_values

std::vector<std::pair<int, StringRef> > Catch::Detail::EnumInfo::m_values

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp